Author Topic: Job fails if Perl 5.10 used on Windows XP  (Read 1957 times)

Scot Brew

  • Hero Member
  • *****
  • Posts: 272
    • PipelineFX
Job fails if Perl 5.10 used on Windows XP
« on: May 22, 2008, 12:32:26 AM »
Issue: Qube as of version 5.3 supports Perl 5.6 and 5.8 on Windows XP.  Perl 5.10 is not supported at this time.

Job fails with the following text starting in the "Stdout Panel".  Note that perl version 5.001 actually refers to Perl 5.10.

This is perl, version 5.001

        Unofficial patchlevel 1m.

Copyright 1987-1994, Larry Wall
Win32 port Copyright (c) 1995 Microsoft Corporation. All rights reserved.
        Developed by hip communications inc.,

        Perl for Win32 Build 107
        Built Apr 29 1996@22:56:57
Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5.0 source kit.
[May 19, 2008 15:18:16] pdc1cd6wtp981 : job type version: 5.3-0
INFO: loaded qb module and setup assignment.

Install and use Perl 5.8.  Adding Perl 5.10 support is marked down as a feature to add in upcoming versions of Qube.